Package org.apache.avro.util

# Class MapUtil

java.lang.Object
org.apache.avro.util.MapUtil

public class MapUtil extends Object

## Method Summary

Modifier and Type
Method
Description
`static <K, V> V`
`computeIfAbsent(ConcurrentMap<K,V> map, K key, Function<K,V> mappingFunction)`
Deprecated.
As of JDK 1.9 this issue has been resolved.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### computeIfAbsent

@Deprecated public static <K, V> V computeIfAbsent(ConcurrentMap<K,V> map, K key, Function<K,V> mappingFunction)
Deprecated.
As of JDK 1.9 this issue has been resolved.
A temporary workaround for Java 8 specific performance issue JDK-8161372.

See Also:
  - JDK-8161372